## org.apache.lucene.index
Class ConcurrentMergeScheduler.MergeThread

    java.lang.Object
      java.lang.Thread
          org.apache.lucene.index.ConcurrentMergeScheduler.MergeThread

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ConcurrentMergeScheduler

    protected class ConcurrentMergeScheduler.MergeThread

extends java.lang.Thread

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ConcurrentMergeScheduler.MergeThread(IndexWriter writer, MergePolicy.OneMerge startMerge)`

Method Summary
`MergePolicy.OneMerge` `getRunningMerge()`
`void` `run()`
`void` `setRunningMerge(MergePolicy.OneMerge merge)`
`void` `setThreadPriority(int pri)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrentMergeScheduler.MergeThread

    public ConcurrentMergeScheduler.MergeThread(IndexWriter writer,
                                                MergePolicy.OneMerge startMerge)
                                         throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setRunningMerge

    public void setRunningMerge(MergePolicy.OneMerge merge)

### getRunningMerge

    public MergePolicy.OneMerge getRunningMerge()

### setThreadPriority

    public void setThreadPriority(int pri)

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Thread`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.